json_object_convert 0.0.1

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 42

w# json_object_convert

A new flutter package project.

Getting Started #

For help getting started with Flutter, view our online documentation.

For help on editing package code, view the documentation.

[0.0.1] - TODO: Add release date.

  • TODO: Describe initial release.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  json_object_convert: ^0.0.1

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:json_object_convert/json_object_convert.dart';
  
Version Uploaded Documentation Archive
0.0.2 Oct 19, 2018 Go to the documentation of json_object_convert 0.0.2 Download json_object_convert 0.0.2 archive
0.0.1 Oct 19, 2018 Go to the documentation of json_object_convert 0.0.1 Download json_object_convert 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
60
Overall:
Weighted score of the above. [more]
42
Learn more about scoring.

We analyzed this package on Feb 14, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.13

Platforms

Detected platforms: other

Primary library: package:json_object_convert/json_object_convert.dart with components: io, isolate, build, mirrors.

Health suggestions

Fix lib/src/hook/hook.dart. (-0.50 points)

Analysis of lib/src/hook/hook.dart reported 1 hint:

line 9 col 8: Unused import: 'package:jaguar_orm/src/annotations/annotations.dart'.

Maintenance suggestions

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and json_object_convert.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Package is pre-v0.1 release. (-10 points)

While nothing is inherently wrong with versions of 0.0.*, it might mean that the author is still experimenting with the general direction of the API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
analyzer ^0.32.0 0.32.6 0.35.1
build ^0.12.0 0.12.8 1.1.1
jaguar_orm ^2.2.5 2.2.5
jaguar_query ^2.2.4 2.2.4
logging ^0.11.0 0.11.3+2
meta ^1.1.5 1.1.7
source_gen ^0.9.0 0.9.1+3 0.9.4+1
Transitive dependencies
args 1.5.1
async 2.0.8
charcode 1.1.2
convert 2.1.1
crypto 2.0.6
csslib 0.14.6
dart_style 1.1.3 1.2.3
front_end 0.1.4+2 0.1.11
glob 1.1.7
html 0.13.3+3
kernel 0.3.4+2 0.3.11
matcher 0.12.4
package_config 1.0.5
plugin 0.2.0+3
quiver 2.0.1
source_span 1.5.4
stack_trace 1.9.3
string_scanner 1.0.4
term_glyph 1.1.0
typed_data 1.1.6
utf 0.9.0+5
watcher 0.9.7+10
yaml 2.1.15
Dev dependencies
build_runner ^0.10.0
build_test ^0.10.3
collection ^1.14.10 1.14.11
path ^1.6.2 1.6.2
test ^1.3.0